SelfResolvingDependency (Gradle API 8.11.1)

Package org.gradle.api.artifacts

## Interface SelfResolvingDependency

- All Superinterfaces:
    `Buildable`, `Dependency`
  All Known Subinterfaces:
    `FileCollectionDependency`, `ProjectDependency`

      @Deprecated
      public interface SelfResolvingDependency
      extends Dependency, Buildable

  Deprecated.
  Dependencies should not be resolved outside a resolvable configuration. To resolve this dependency, add it to a resolvable configuration and resolve that configuration.
  A `SelfResolvingDependency` is a `Dependency` which is able to resolve itself, independent of a repository.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.io.File>` | `resolve()` | Deprecated.
    `java.util.Set<java.io.File>` | `resolve​(boolean transitive)` | Deprecated.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `because, contentEquals, copy, getGroup, getName, getReason, getVersion`

- - ### Method Detail

    - #### resolve

          @Deprecated
          java.util.Set<java.io.File> resolve()

      Deprecated.
      Resolves this dependency. A `ProjectDependency` is resolved with transitive equals true by this method.
      Returns:
        The files which make up this dependency.
      See Also:
        `resolve(boolean)`

    - #### resolve

          @Deprecated
          java.util.Set<java.io.File> resolve​(boolean transitive)

      Deprecated.
      Resolves this dependency by specifying the transitive mode. This mode has only an effect if the self resolved dependency is of type `ProjectDependency`. In this case, if transitive is `false`, only the self resolving dependencies of the project configuration which are no project dependencies are resolved. If transitive is set to true, other project dependencies belonging to the configuration of the resolved project dependency are resolved recursively.
      Parameters:
        `transitive` - Whether to resolve transitively. Has only an effect on a `ProjectDependency`
      Returns:
        The files which make up this dependency.